function factors=makeFactors(b0s,fblks,Y)
[n,T]=size(Y);
[lb0,l_c]=size(b0s);
r=length(fblks);

factors=zeros(r,T,l_c);
for j=1:l_c
    B0=make_B0_restricted(b0s(:,j),fblks);
    factors(:,:,j)=B0*Y;
end
    